package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabTableSettingFieldMapper;
import com.gic.enterprise.dto.TableSettingFieldDTO;
import com.gic.enterprise.entity.TabTableSettingField;
import com.gic.enterprise.service.TableSettingFieldService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class TableSettingFieldServiceImpl implements TableSettingFieldService {
    @Autowired
    private TabTableSettingFieldMapper tabTableSettingFieldMapper;

    @Override
    public void saveTableField(TableSettingFieldDTO tableSettingFieldDTO) {
        TabTableSettingField tab = EntityUtil.changeEntityByJSON(TabTableSettingField.class, tableSettingFieldDTO);
        Date date = new Date();
        tableSettingFieldDTO.setUpdateTime(date);
        if(tableSettingFieldDTO.getFieldId() != null){
            tabTableSettingFieldMapper.updateByPrimaryKeySelective(tab);
        } else {
            tableSettingFieldDTO.setCreateTime(date);
            tabTableSettingFieldMapper.insertSelective(tab);
        }
    }

    @Override
    public List<TableSettingFieldDTO> listTableField(Integer tableId) {
        List<TabTableSettingField> list = tabTableSettingFieldMapper.listField(tableId);
        return EntityUtil.changeEntityListByJSON(TableSettingFieldDTO.class, list);
    }

    @Override
    public void delTableField(Integer fieldId) {
        TabTableSettingField field = new TabTableSettingField();
        field.setFieldId(fieldId);
        field.setDeleteFlag(1);
        tabTableSettingFieldMapper.updateByPrimaryKeySelective(field);
    }
}
